UIComponentControl (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.UIComponentControl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIComponentControl

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIComponentControl

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

Direct Known Subclasses:
  HtmlComponentControl

    public abstract class UIComponentControl

extends javax.faces.component.UIComponentBase
implements org.ajax4jsf.component.AjaxSupport

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIComponentControl()`

Method Summary
`abstract java.lang.String` | `getAttachTiming()`
`abstract java.lang.String` | `getAttachTo()`
`java.lang.String` | `getEncodedParametersMap()`
`abstract java.lang.String` | `getEvent()`
`java.lang.String` | `getEventString()`
`abstract java.lang.String` | `getFor()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getOperation()`
`abstract java.lang.String` | `getParams()`
`protected java.lang.String` | `replaceClientIds(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String selector)`
`abstract void` | `setAttachTiming(java.lang.String attachTiming)`
`abstract void` | `setAttachTo(java.lang.String value)`
`abstract void` | `setEvent(java.lang.String event)`
`abstract void` | `setFor(java.lang.String value)`
`abstract void` | `setName(java.lang.String name)`
`abstract void` | `setOperation(java.lang.String value)`
`abstract void` | `setParams(java.lang.String value)`
`void` | `setParent(javax.faces.component.UIComponent parent)` After nornal setting `parent` property in case of created component set Ajax properties for parent.
`void` | `setParentProperties(javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxSupport
`isDisableDefault, setDisableDefault`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIComponentControl

    public UIComponentControl()

Method Detail

### getEventString

    public java.lang.String getEventString()

  Specified by:
    `getEventString` in interface `org.ajax4jsf.component.AjaxSupport`
  Returns:
    JavaScript eventString. Rebuild on every call, since can be in loop ( as in dataTable ) with different parameters.

### getEncodedParametersMap

    public java.lang.String getEncodedParametersMap()

### getEvent

    public abstract java.lang.String getEvent()

  Specified by:
    `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`

### setEvent

    public abstract void setEvent(java.lang.String event)

  Specified by:
    `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String value)

### getParams

    public abstract java.lang.String getParams()

### setParams

    public abstract void setParams(java.lang.String value)

### getOperation

    public abstract java.lang.String getOperation()

### setOperation

    public abstract void setOperation(java.lang.String value)

### getAttachTo

    public abstract java.lang.String getAttachTo()

### setAttachTo

    public abstract void setAttachTo(java.lang.String value)

### replaceClientIds

    protected java.lang.String replaceClientIds(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component,
                                                java.lang.String selector)

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  After nornal setting `parent` property in case of created component set Ajax properties for parent.

  Overrides:
    `setParent` in class `javax.faces.component.UIComponentBase`
  See Also:
    `UIComponentBase.setParent(javax.faces.component.UIComponent)`

### setParentProperties

    public void setParentProperties(javax.faces.component.UIComponent parent)

  Specified by:
    `setParentProperties` in interface `org.ajax4jsf.component.AjaxSupport`

### setName

    public abstract void setName(java.lang.String name)

### getName

    public abstract java.lang.String getName()

### setAttachTiming

    public abstract void setAttachTiming(java.lang.String attachTiming)

### getAttachTiming

    public abstract java.lang.String getAttachTiming()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.